Bug 681093 - Review Request: wdiff - A front-end to GNU diff
Summary: Review Request: wdiff - A front-end to GNU diff
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1168031
TreeView+ depends on / blocked
 
Reported: 2011-03-01 04:53 UTC by Praveen Kumar
Modified: 2014-12-01 13:12 UTC (History)
5 users (show)

Fixed In Version: wdiff-0.6.5-5.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-11 06:08:46 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
modified spec (1.68 KB, text/plain)
2011-03-01 06:32 UTC, Parag AN(पराग)
no flags Details

Description Praveen Kumar 2011-03-01 04:53:17 UTC
Spec URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff-0.6.5-1.fc14.src.rpm
Description: wdiff is a front-end to GNU diff. It compares two files, finding
which words have been deleted or added to the first in order to create
the second.  It has many output formats and interacts well with
terminals and pagers (notably with `less'). wdiff is particularly
useful when two texts differ only by a few words and paragraphs have
been refilled.

Comment 1 Pavel Zhukov 2011-03-01 05:13:40 UTC
few comments:
Please change license to GPLv3+
Please remove BuildRoor tag (you've removed clean section, so you cannot build for EPEL5 and below) http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
Use %find-lang if possible. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Praveen Kumar 2011-03-01 05:43:16 UTC
Thanks for reviewing, I fixed pointed issues. Here is updated spec and srpm url

Spec URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff-0.6.5-2.fc14.src.rpm

Comment 3 Parag AN(पराग) 2011-03-01 06:32:53 UTC
Created attachment 481530 [details]
modified spec

I have done some changes in original spec file. Go through it and submit a new package.

These changes include those given in comment2 and
* using install-info scriptlet
* adding %doc files
* removing unnecessary -gnulib translation files.
* rpmlint warning fixed for ChangeLog not utf8 file.

Please check the srpm on koji by doing scratch build.

Comment 4 Pavel Zhukov 2011-03-01 07:31:20 UTC
changed status to "Assigned"

Comment 5 Praveen Kumar 2011-03-01 07:47:21 UTC
(In reply to comment #3)
> Created attachment 481530 [details]
> modified spec
> 
> I have done some changes in original spec file. Go through it and submit a new
> package.
> 
> These changes include those given in comment2 and
> * using install-info scriptlet
> * adding %doc files
> * removing unnecessary -gnulib translation files.
> * rpmlint warning fixed for ChangeLog not utf8 file.
> 
> Please check the srpm on koji by doing scratch build.

Thanks for suggestion, I added modified spec. Here is updated spec and srpm url

Spec URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff-0.6.5-3.fc14.src.rpm

Comment 6 Pavel Zhukov 2011-03-01 08:02:56 UTC
f a package contains a GUI application, then it needs to also include a properly installed .desktop file
http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Comment 7 Tim Lauridsen 2011-03-01 09:00:27 UTC
Check here howto handle translation files
http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

Comment 8 Parag AN(पराग) 2011-03-01 10:06:11 UTC
(In reply to comment #6)
> f a package contains a GUI application, then it needs to also include a
> properly installed .desktop file
> http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

This package does not contain any GUI so no need to follow this.

(In reply to comment #7)
> Check here howto handle translation files
> http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

I don't see %find_lang is going to work here.

Comment 9 Praveen Kumar 2011-03-01 10:24:38 UTC
(In reply to comment #8)
> (In reply to comment #6)
> > f a package contains a GUI application, then it needs to also include a
> > properly installed .desktop file
> > http://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files
> 
> This package does not contain any GUI so no need to follow this.
It is given on source main page but when I run it on terminal it doesn't show any GUI.
> 
> (In reply to comment #7)
> > Check here howto handle translation files
> > http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
> 
> I don't see %find_lang is going to work here.
Right, I added it before but it doesn't seem to work.

Comment 10 Mamoru TASAKA 2011-03-01 16:40:54 UTC
(In reply to comment #9)
> > (In reply to comment #7)
> > > Check here howto handle translation files
> > > http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
> > 
> > I don't see %find_lang is going to work here.
> Right, I added it before but it doesn't seem to work.

Really? I just tried and it works as usual (Did you surely
add "-f %{name}.lang" on the line of %files ?)

http://koji.fedoraproject.org/scratch/mtasaka/task_2876462/

Comment 11 Praveen Kumar 2011-03-01 18:28:11 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > > (In reply to comment #7)
> > > > Check here howto handle translation files
> > > > http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
> > > 
> > > I don't see %find_lang is going to work here.
> > Right, I added it before but it doesn't seem to work.
> 
> Really? I just tried and it works as usual (Did you surely
> add "-f %{name}.lang" on the line of %files ?)
> 
> http://koji.fedoraproject.org/scratch/mtasaka/task_2876462/
Sorry, I made a typo mistake (wrote .lany instead of .lang), Thanks for pointing out here is updated spec and srpm url

Spec URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff-0.6.5-4.fc14.src.rpm

Comment 12 Parag AN(पराग) 2011-03-02 04:24:03 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > > (In reply to comment #7)
> > > > Check here howto handle translation files
> > > > http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files
> > > 
> > > I don't see %find_lang is going to work here.
> > Right, I added it before but it doesn't seem to work.
> 
> Really? I just tried and it works as usual (Did you surely
> add "-f %{name}.lang" on the line of %files ?)
> 
> http://koji.fedoraproject.org/scratch/mtasaka/task_2876462/

Argh! you are right. I was using %find_lang after scriptlets and also before that because of 2 different .mo translations I thought direct use of %find_lang with %{name} will not be possible.

Comment 13 Parag AN(पराग) 2011-03-04 04:38:17 UTC
koji build->http://koji.fedoraproject.org/koji/taskinfo?taskID=2883340

Suggestions:-
1) You are still using wrong way of writing Changelog. Note you MUST use hyphen between version and release and not a DOT.
Replace
* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5.4
to
* Tue Mar 1 2011 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.6.5-4

2) In Changelog you need to use % character as %% so replace
- Adding %doc files
to
- Adding %%doc files



APPROVED.

Comment 14 Praveen Kumar 2011-03-04 10:30:33 UTC
Fixed issue, Here is updated spec and srpm url
Spec URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff.spec
SRPM URL: http://kumarpraveen.fedorapeople.org/wdiff/wdiff-0.6.5-5.fc14.src.rpm

Comment 15 Praveen Kumar 2011-03-04 10:33:46 UTC
New Package SCM Request
=======================
Package Name: wdiff
Short Description: A front-end to GNU diff
Owners: kumarpraveen
Branches: f13 f14 f15

Comment 16 Jason Tibbitts 2011-03-04 13:13:20 UTC
Git done (by process-git-requests).

Comment 17 Fedora Update System 2011-03-05 13:15:20 UTC
wdiff-0.6.5-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wdiff-0.6.5-5.fc13

Comment 18 Fedora Update System 2011-03-05 13:17:21 UTC
wdiff-0.6.5-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wdiff-0.6.5-5.fc14

Comment 19 Fedora Update System 2011-03-05 13:18:48 UTC
wdiff-0.6.5-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wdiff-0.6.5-5.fc15

Comment 20 Fedora Update System 2011-03-05 19:23:02 UTC
wdiff-0.6.5-5.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wdiff'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wdiff-0.6.5-5.fc15

Comment 21 Fedora Update System 2011-03-11 06:08:40 UTC
wdiff-0.6.5-5.fc15 has been pushed to the Fedora 15 stable repository.

Comment 22 Fedora Update System 2011-03-13 21:18:50 UTC
wdiff-0.6.5-5.fc13 has been pushed to the Fedora 13 stable repository.

Comment 23 Fedora Update System 2011-03-13 21:21:12 UTC
wdiff-0.6.5-5.fc14 has been pushed to the Fedora 14 stable repository.

Comment 24 Praveen Kumar 2014-11-26 08:38:10 UTC
New Branch SCM Request
=======================
Package Name: wdiff
Short Description: A front-end to GNU diff
Owners: kumarpraveen
Branches: el6, epel7

Comment 25 Gwyn Ciesla 2014-11-26 12:31:16 UTC
Many invalid branches requested.

Comment 26 Praveen Kumar 2014-11-26 12:42:28 UTC
New Package SCM Request
=======================
Package Name: wdiff
Short Description: A front-end to GNU diff
Owners: kumarpraveen
Branches: el6, epel7

Comment 27 Gwyn Ciesla 2014-11-26 13:11:13 UTC
Git done (by process-git-requests).

Comment 28 Praveen Kumar 2014-11-27 06:32:24 UTC
Package Change Request
=======================
Package Name: wdiff
New Branches: el6 epel7
Owners: kumarpraveen

Comment 29 Gwyn Ciesla 2014-12-01 13:12:33 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.